"""
    Dashboard Deutschland API

    Auf https://www.dashboard-deutschland.de bietet das Statistische Bundesamt DESTATIS einen Überblick zu gesellschaftlich und wirtschaftlich relevanten Daten aus unterschiedlichen Themenbereichen. Diese werden durch Grafiken und Texte ergänzt und regelmäßig aktualisiert. Damit soll eine Möglichkeit geboten werden, aktuelle Kennzahlen und deren Entwicklung übersichtlich darzustellen.  # noqa: E501

    The version of the OpenAPI document: 1.0.0
    Contact: andreasfischer1985@web.de
    Generated by: https://openapi-generator.tech
"""


import re  # noqa: F401
import sys  # noqa: F401

from deutschland.DashboardDeutschland.api_client import ApiClient
from deutschland.DashboardDeutschland.api_client import Endpoint as _Endpoint
from deutschland.DashboardDeutschland.model.indicators import Indicators
from deutschland.DashboardDeutschland.model_utils import (  # noqa: F401
    check_allowed_values,
    check_validations,
    date,
    datetime,
    file_type,
    none_type,
    validate_and_convert_types,
)


class IndicatorsApi(object):
    """NOTE: This class is auto generated by OpenAPI Generator
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client
        self.indicators_endpoint = _Endpoint(
            settings={
                "response_type": ([Indicators],),
                "auth": [],
                "endpoint_path": "/api/tile/indicators",
                "operation_id": "indicators",
                "http_method": "GET",
                "servers": None,
            },
            params_map={
                "all": [
                    "id",
                ],
                "required": [],
                "nullable": [],
                "enum": [
                    "id",
                ],
                "validation": [],
            },
            root_map={
                "validations": {},
                "allowed_values": {
                    ("id",): {
                        "DATA_ADV_FLUGVERKEHR": "data_adv_flugverkehr",
                        "DATA_AUSSENHANDEL": "data_aussenhandel",
                        "DATA_BA_ARBEITSLOSE_UND_STELLEN": "data_ba_arbeitslose_und_stellen",
                        "DATA_BRUTTOINLANDSPRODUKT": "data_bruttoinlandsprodukt",
                        "DATA_CORONA_ZUSCHUESSE": "data_corona_zuschuesse",
                        "DATA_EINNAHMEN_GEMEINSCHAFT_BUNDES_LANDESSTEUERN": "data_einnahmen_gemeinschaft_bundes_landessteuern",
                        "DATA_IFO_GESCHAEFTSKLIMA": "data_ifo_geschaeftsklima",
                        "DATA_KFW_SONDERMASSNAHME_NEU": "data_kfw_sondermassnahme_neu",
                        "DATA_PREISENTWICKLUNG": "data_preisentwicklung",
                        "DATA_UMSATZ_AUSGEWAEHLTE_BRANCHEN": "data_umsatz_ausgewaehlte_branchen",
                        "DEFACTO_GES_DIAG_COVID19_HOSPITALIZATIONINCIDENCE_MAP_DE": "defacto_ges_diag_covid19_hospitalizationincidence_map_de",
                        "GINSY_GES_BEV_STERBL_ABS_STERBL_DE": "ginsy_ges_bev_sterbl_abs_sterbl_de",
                        "GINSY_GES_DIAG_COVID19_7_TAGE_INZIDENZ_MAP_DE": "ginsy_ges_diag_covid19_7_tage_inzidenz_map_de",
                        "TILE_1648135639982": "tile_1648135639982",
                        "DATA_ERWERBSTAETIGE": "data_erwerbstaetige",
                        "DATA_BA_KURZARBEIT": "data_ba_kurzarbeit",
                        "DATA_IAB_IFO_BAROMETER": "data_iab_ifo_barometer",
                        "DATA_BAU_AUFTRAGSEINGANG": "data_bau_auftragseingang",
                        "DATA_BAU_PRODUKTIONSINDEX_BAUGEWERBE": "data_bau_produktionsindex_baugewerbe",
                        "DATA_BAU_UMSATZ_MIXMODELLE": "data_bau_umsatz_mixmodelle",
                        "DATA_BAU_BAULEISTUNGSPREISE": "data_bau_bauleistungspreise",
                        "DATA_BAU_BESCHAEFTIGUNG_VGR": "data_bau_beschaeftigung_vgr",
                        "DATA_BAU_KAPAZITAETSAUSLASTUNG_BBSR": "data_bau_kapazitaetsauslastung_bbsr",
                        "DATA_BAU_VERBESSERUNG_ENERGIEEFFIZIENZ": "data_bau_verbesserung_energieeffizienz",
                        "DATA_WOH_BAUGENEHMIGUNGEN_WOHNFLAECHE": "data_woh_baugenehmigungen_wohnflaeche",
                        "DATA_WOH_BAUGENEHMIGUNGEN_WOHNUNGEN": "data_woh_baugenehmigungen_wohnungen",
                        "DATA_WOH_BAUGENEHMIGUNGEN_BAUTRAEGER": "data_woh_baugenehmigungen_bautraeger",
                        "DATA_WOH_GENEHMIGTE_U_FERTIGGESTELLTE_WOHNUNGEN": "data_woh_genehmigte_u_fertiggestellte_wohnungen",
                        "DATA_WOH_ENERGIEVERBRAUCH_ANWENDUNG": "data_woh_energieverbrauch_anwendung",
                        "DATA_WOH_ENERGIEVERBRAUCH_ENERGIETRAEGER": "data_woh_energieverbrauch_energietraeger",
                        "DATA_WOH_NETTOKALTMIETE;DATA_WOH_BRUTTOKALTMIETE": "data_woh_nettokaltmiete;data_woh_bruttokaltmiete",
                        "DATA_WOH_PREISE_IMMOBILIEN_HPI_HAUESER": "data_woh_preise_immobilien_hpi_haueser",
                        "DATA_WOH_PREISE_IMMOBILIEN_HPI_WOHNUNGEN": "data_woh_preise_immobilien_hpi_wohnungen",
                        "DATA_WOH_PREISE_OOH_HPI_BAULAND": "data_woh_preise_ooh_hpi_bauland",
                        "GINSY_GES_IMPFUNG_COVID19_IMPFSTATUS_MAP_DE": "ginsy_ges_impfung_covid19_impfstatus_map_de",
                        "GINSY_GES_IMPFUNG_COVID19_GESAMTZAHL_DE": "ginsy_ges_impfung_covid19_gesamtzahl_de",
                        "GINSY_GES_DIAG_COVID19_NEUINFEKTIONEN_DE": "ginsy_ges_diag_covid19_neuinfektionen_de",
                        "GINSY_GES_DIAG_COVID19_FAELLE_DE": "ginsy_ges_diag_covid19_faelle_de",
                        "GINSY_GES_BEV_STERBL_REL_STERBL_MAP_DE": "ginsy_ges_bev_sterbl_rel_sterbl_map_de",
                        "GINSY_GES_INFRA_AUSST_INTENSIVBETTEN_DE": "ginsy_ges_infra_ausst_intensivbetten_de",
                        "DATA_IFO_RWI_EXPORTE_CONTAINER": "data_ifo_rwi_exporte_container",
                        "DATA_AUSSENHANDELSBILANZ": "data_aussenhandelsbilanz",
                        "DATA_AUSSENHANDEL_LAENDER": "data_aussenhandel_laender",
                        "DATA_AUSSENHANDEL_LAENDERGRUPPEN": "data_aussenhandel_laendergruppen",
                        "DATA_GFK_HDE_KONSUM": "data_gfk_hde_konsum",
                        "DATA_PREISE_GOLD_KUPFER": "data_preise_gold_kupfer",
                        "DATA_PREISE_OEL": "data_preise_oel",
                        "DATA_PREISE_STROM": "data_preise_strom",
                        "DATA_WECHSELKURS_USD_EUR": "data_wechselkurs_usd_eur",
                        "DATA_MARKIT_BME_EINKAUFSMANAGER": "data_markit_bme_einkaufsmanager",
                        "DATA_IFO_PRODUKTIONSERWARTUNGEN": "data_ifo_produktionserwartungen",
                        "DATA_VDA_PKW;DATA_VDMA_BLITZUMFRAGEN": "data_vda_pkw;data_vdma_blitzumfragen",
                        "DATA_AUFTRAGSEINGANG_VG": "data_auftragseingang_vg",
                        "DATA_AUFTRAGSEINGANG_AUSGEWAEHLTE_BRANCHEN": "data_auftragseingang_ausgewaehlte_branchen",
                        "DATA_PRODUKTION_VG": "data_produktion_vg",
                        "DATA_PRODUKTION_AUSGEWAEHLTE_BRANCHEN": "data_produktion_ausgewaehlte_branchen",
                        "DATA_UMSATZ_VG": "data_umsatz_vg",
                        "DATA_DESTATIS_LKW_MAUT_FAHRLEISTUNGSINDEX": "data_destatis_lkw_maut_fahrleistungsindex",
                        "DATA_UMSATZ_GASTGEWERBE_BEHERBERGUNG": "data_umsatz_gastgewerbe_beherbergung",
                        "DATA_EINZELHANDELSUMSATZ_VERGLEICH_INTERNET": "data_einzelhandelsumsatz_vergleich_internet",
                        "DATA_ADV_FLUGVERKEHR;DATA_FLIGHTRADAR24_FLUGVERKEHR": "data_adv_flugverkehr;data_flightradar24_flugverkehr",
                        "DATA_BUERGSCHAFTEN": "data_buergschaften",
                        "DATA_WIRTSCHAFTSSTABILISIERUNGSFONDS": "data_wirtschaftsstabilisierungsfonds",
                        "DATA_BNETZA_REALISIERTER_STROMVERBRAUCH": "data_bnetza_realisierter_stromverbrauch",
                        "DATA_ZEW_KONJUNKTUR": "data_zew_konjunktur",
                        "DATA_BUNDESBANK_AKTIVITAETSINDEX": "data_bundesbank_aktivitaetsindex",
                        "DATA_MOBILITAET_MOBILFUNK": "data_mobilitaet_mobilfunk",
                        "DATA_MOBILITAET_MOBILFUNK_KARTE": "data_mobilitaet_mobilfunk_karte",
                        "DATA_MOBILITAET_GOOGLE_DE_ARBEIT": "data_mobilitaet_google_de_arbeit",
                        "DATA_MOBILITAET_GOOGLE_DE_ERHOLUNG": "data_mobilitaet_google_de_erholung",
                        "DATA_MOBILITAET_GOOGLE_EU_ARBEIT": "data_mobilitaet_google_eu_arbeit",
                        "DATA_MOBILITAET_GOOGLE_EU_ERHOLUNG": "data_mobilitaet_google_eu_erholung",
                        "DATA_MOBILITAET_MOBILFUNK_HOTSPOT": "data_mobilitaet_mobilfunk_hotspot",
                        "DATA_MOBILITAET_HYSTREE": "data_mobilitaet_hystree",
                        "DATA_GEMEINSCHAFT_BUNDES_LANDESSTEUERN": "data_gemeinschaft_bundes_landessteuern",
                        "DATA_GEMEINDESTEUERN": "data_gemeindesteuern",
                        "DATA_STEUEREINNAHMEN_INSGESAMT_GEMEINDEN": "data_steuereinnahmen_insgesamt_gemeinden",
                        "DATA_STEUEREINNAHMEN_BUND_LAENDER": "data_steuereinnahmen_bund_laender",
                        "DATA_BOERSENKURSE": "data_boersenkurse",
                        "DATA_ZINSSPREAD_10_J_ANLEIHEN": "data_zinsspread_10_j_anleihen",
                        "DATA_UMLAUFRENDITEN_BUNDESANLEIHEN": "data_umlaufrenditen_bundesanleihen",
                        "DATA_STAATS_UND_UNT_ANLEIHEN": "data_staats_und_unt_anleihen",
                    },
                },
                "openapi_types": {
                    "id": (str,),
                },
                "attribute_map": {
                    "id": "id",
                },
                "location_map": {
                    "id": "query",
                },
                "collection_format_map": {},
            },
            headers_map={
                "accept": ["application/json"],
                "content_type": [],
            },
            api_client=api_client,
        )

    def indicators(self, **kwargs):
        """Zugriff auf unterschiedliche Indikatoren  # noqa: E501

        Die API ermöglicht Zugriff auf unterschiedliche Indikatoren im JSON-Format über einfache GET-request.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True

        >>> thread = api.indicators(async_req=True)
        >>> result = thread.get()


        Keyword Args:
            id (str): Id des gewünschten Indikators. Mehrere Semikolon-getrennte Angaben sind möglich. Gesundheitsindikatoren (beginnend mit \"ginsy_ges\") lassen sich neben der o.g. Variante auch nach Regionen von Bundesländern unterteilt anfordern, durch einen Unterstrich, gefolgt von einer das Bundesland repräsentierenden Zahl (z.B. 9 für Bayern).. [optional]
            _return_http_data_only (bool): response data without head status
                code and headers. Default is True.
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
            _request_auths (list): set to override the auth_settings for an a single
                request; this effectively ignores the authentication
                in the spec for a single request.
                Default is None
            async_req (bool): execute request asynchronously

        Returns:
            [Indicators]
                If the method is called asynchronously, returns the request
                thread.
        """
        kwargs["async_req"] = kwargs.get("async_req", False)
        kwargs["_return_http_data_only"] = kwargs.get("_return_http_data_only", True)
        kwargs["_preload_content"] = kwargs.get("_preload_content", True)
        kwargs["_request_timeout"] = kwargs.get("_request_timeout", None)
        kwargs["_check_input_type"] = kwargs.get("_check_input_type", True)
        kwargs["_check_return_type"] = kwargs.get("_check_return_type", True)
        kwargs["_spec_property_naming"] = kwargs.get("_spec_property_naming", False)
        kwargs["_content_type"] = kwargs.get("_content_type")
        kwargs["_host_index"] = kwargs.get("_host_index")
        kwargs["_request_auths"] = kwargs.get("_request_auths", None)
        return self.indicators_endpoint.call_with_http_info(**kwargs)
