# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.DashboardDeutschland',
 'deutschland.DashboardDeutschland.api',
 'deutschland.DashboardDeutschland.apis',
 'deutschland.DashboardDeutschland.model',
 'deutschland.DashboardDeutschland.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-dashboarddeutschland',
    'version': '0.1.0',
    'description': 'Dashboard Deutschland API',
    'long_description': '# DashboardDeutschland\nAuf https://www.dashboard-deutschland.de bietet das Statistische Bundesamt DESTATIS einen Überblick zu gesellschaftlich und wirtschaftlich relevanten Daten aus unterschiedlichen Themenbereichen. Diese werden durch Grafiken und Texte ergänzt und regelmäßig aktualisiert. Damit soll eine Möglichkeit geboten werden, aktuelle Kennzahlen und deren Entwicklung übersichtlich darzustellen.\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\nFor more information, please visit [https://github.com/AndreasFischer1985/dashboard-deutschland-api](https://github.com/AndreasFischer1985/dashboard-deutschland-api)\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[DashboardDeutschland]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E DashboardDeutschland\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import DashboardDeutschland\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import DashboardDeutschland\nfrom pprint import pprint\nfrom deutschland.DashboardDeutschland.api import geo_api\nfrom deutschland.DashboardDeutschland.model.geo import Geo\n# Defining the host is optional and defaults to https://www.dashboard-deutschland.de\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = DashboardDeutschland.Configuration(\n    host = "https://www.dashboard-deutschland.de"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith DashboardDeutschland.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = geo_api.GeoApi(api_client)\n\n    try:\n        # Zugriff auf Geojson-Daten zu Deutschland und den Ländern\n        api_response = api_instance.geo()\n        pprint(api_response)\n    except DashboardDeutschland.ApiException as e:\n        print("Exception when calling GeoApi->geo: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://www.dashboard-deutschland.de*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*GeoApi* | [**geo**](docs/GeoApi.md#geo) | **GET** /geojson/de-all.geo.json | Zugriff auf Geojson-Daten zu Deutschland und den Ländern\n*GetApi* | [**get**](docs/GetApi.md#get) | **GET** /api/dashboard/get | Zugriff auf alle gültigen Einträge des id-Parameters\n*IndicatorsApi* | [**indicators**](docs/IndicatorsApi.md#indicators) | **GET** /api/tile/indicators | Zugriff auf unterschiedliche Indikatoren\n\n\n## Documentation For Models\n\n - [Geo](docs/Geo.md)\n - [GeoCrs](docs/GeoCrs.md)\n - [GeoCrsProperties](docs/GeoCrsProperties.md)\n - [Get](docs/Get.md)\n - [GetCategory](docs/GetCategory.md)\n - [GetLayoutTiles](docs/GetLayoutTiles.md)\n - [Indicators](docs/Indicators.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nandreasfischer1985@web.de\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in DashboardDeutschland.apis and DashboardDeutschland.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.DashboardDeutschland.api.default_api import DefaultApi`\n- `from deutschland.DashboardDeutschland.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import DashboardDeutschland\nfrom deutschland.DashboardDeutschland.apis import *\nfrom deutschland.DashboardDeutschland.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/dashboard-deutschland-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
